using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerHarpoon : MonoBehaviour
{
    void Movement()
    {
        var objectPos = Camera.main.WorldToScreenPoint(transform.position);
        var dir = Input.mousePosition - objectPos;
        transform.rotation = Quaternion.Euler(new Vector3(0, 0, Mathf.Atan2(dir.y, dir.x) * Mathf.Rad2Deg + 90));  

    }
    void Update()
    {
        Movement();
    
    }
}
